using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BankContracts.StoragesContracts
{
    public interface IPaymentStorage
    {
        List<PaymentViewModel> GetFullList();
        List<PaymentViewModel> GetFilteredList(PaymentSearchModel model);
        PaymentViewModel? GetElement(PaymentSearchModel model);
        PaymentViewModel? Insert(PaymentBindingModel model);
        PaymentViewModel? Update(PaymentBindingModel model);
        PaymentViewModel? Delete(PaymentBindingModel model);
    }
}
